curl --request POST \
--url https://openapi.imini.ai/imini/router/v1/videos/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan3.0-video",
"resolution": "720P",
"duration": 5,
"prompt": "A slow forward camera move over a bay in the morning mist.",
"aspect_ratio": "16:9"
}
'{
"task_id": "task_2041350318103396352",
"model": "wan3.0-video",
"created_at": "2026-11-16T07:00:00.000Z",
"request_id": "task_2041350318103396352"
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "Parameter value is out of range or has incorrect type",
"status": 400,
"request_id": "req_example"
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits. Upgrade your plan or purchase additional credits.",
"status": 402,
"request_id": "req_example"
}
}{
"error": {
"code": "PAYLOAD_TOO_LARGE",
"message": "Request payload exceeds the supported size",
"status": 413,
"request_id": "req_example"
}
}Video Models
Wan 3.0 Video
Text-to-video, first/last frames, multimodal references, and video editing.
POST
/
v1
/
videos
/
generate
curl --request POST \
--url https://openapi.imini.ai/imini/router/v1/videos/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan3.0-video",
"resolution": "720P",
"duration": 5,
"prompt": "A slow forward camera move over a bay in the morning mist.",
"aspect_ratio": "16:9"
}
'{
"task_id": "task_2041350318103396352",
"model": "wan3.0-video",
"created_at": "2026-11-16T07:00:00.000Z",
"request_id": "task_2041350318103396352"
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "Parameter value is out of range or has incorrect type",
"status": 400,
"request_id": "req_example"
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient credits. Upgrade your plan or purchase additional credits.",
"status": 402,
"request_id": "req_example"
}
}{
"error": {
"code": "PAYLOAD_TOO_LARGE",
"message": "Request payload exceeds the supported size",
"status": 413,
"request_id": "req_example"
}
}Authorizations
Bearer YOUR_API_KEY. Manage keys in API Keys.
Body
application/json

